System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.ReadOnlyCollectionBase System.Runtime.InteropServices.ComVisible(true)

This collection inherits from . The only way to add objects to this collection is to use the class constructor.

This collection provides two indexer properties, a string indexer and an integer indexer. The string indexer property returns a component in the collection by name if the property of a component in the collection is not null and the property of the property of the component matches the specified string. The integer indexer property returns the at the specified collection index. The method copies the contents of the collection to a specified array, beginning writing to the array at the specified index.

Provides a read-only container for a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This method adds each in the specified array to the collection.

  Initializes a new instance of the class using the specified array of components.

  An array of objects to initialize the collection with.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the entire collection to an array, starting writing at the specified array index.

  An array to copy the objects in the collection to. The index of the at which copying to should begin.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.IComponent `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.IComponent `` To be added. To be added. To be added. To be added.